// import * as cookie from './modules/cookies.js';

export function set (name, value, expires, path, domain, secure){
	switch(typeof expires) {
		case "number" : 
			var d = new Date()
			expires = d.setTime(d + (expires*24*60*60*1000));
		break;
		case "object" : 
			expires = expires.toGMTString();
	}
    document.cookie= name + "=" + escape(value) +
    ((expires) ? "; expires=" + expires : "") +
    ("; path=/") +
    ((domain) ? "; domain=" + domain : "") +
    ((secure) ? "; secure" : "");
}

export function get (cname) {
	var name = cname + "=";
	var ca = document.cookie.split(";");
	for(var i = 0; i <ca.length; i++) {
		var c = ca[i];
		while (c.charAt(0)===" ") {
			c = c.substring(1);
		}
		if (c.indexOf(name) === 0) {
			return c.substring(name.length,c.length);
		}
	}
	return "";
};

export function remove (cname) { 
	setCookie(cname, "", -1);
};